package cn.hztech.sdk.exception;

/**
 * API异常
 */
public class ApiException extends SdkException {

    private int httpCode;

    public ApiException(String message) {
        super("API_ERROR", message);
    }

    public ApiException(String message, Throwable cause) {
        super("API_ERROR", message, cause);
    }

    public ApiException(int httpCode, String message) {
        super("API_ERROR", message);
        this.httpCode = httpCode;
    }

    public int getHttpCode() {
        return httpCode;
    }
}
